﻿Option Strict On
Imports System.Windows.Documents
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Animation
Imports System.Windows.Shapes
Imports Microsoft.Phone.Controls
Imports System.Xml.Linq
Partial Public Class MainPage
    Inherits PhoneApplicationPage

    ' Constructor
    Public Sub New()
        InitializeComponent()

        ' Set the data context of the listbox control to the sample data
        DataContext = App.ViewModel
    End Sub

    Dim myReadXmldoc As New ReadXmldoc
    'Protected Overrides Sub OnNavigatedFrom(ByVal e As System.Windows.Navigation.NavigationEventArgs)
    '    Dim myParam As IDictionary(Of String, String) = Me.NavigationContext.QueryString
    '    myParam("panoramaIndex") = Panorama1.SelectedIndex.ToString
    '    MyBase.OnNavigatedFrom(e)
    'End Sub

    Protected Overrides Sub OnNavigatedTo(ByVal e As System.Windows.Navigation.NavigationEventArgs)
        Dim myParam As IDictionary(Of String, String) = NavigationContext.QueryString
        If myParam.ContainsKey("panoramaIndex") Then
            Dim panoramaIndex As Integer = Integer.Parse(myParam("panoramaIndex"))
            Panorama1.DefaultItem = Panorama1.Items(panoramaIndex)


        End If
        MyBase.OnNavigatedTo(e)
    End Sub

    ' Load data for the ViewModel Items
    Private Sub MainPage_Loaded(ByVal sender As Object, ByVal e As RoutedEventArgs) Handles Me.Loaded
        'If Not App.ViewModel.IsDataLoaded Then
        '    App.ViewModel.LoadData()
        'End If
        AddName()
        AddSongTitle()
    End Sub


    Private Sub AddName()
        Dim addressName As New List(Of String)

        For Each result In From c In myReadXmldoc.Address.Descendants("場所") Select c
            addressName.Add(result.Value)
        Next
        ListBox1.ItemsSource = addressName
    End Sub

    Private Sub AddSongTitle()
        Dim songTitle As New List(Of String)
        For Each result In From c In myReadXmldoc.seiSong.Descendants("Music") Select c
            songTitle.Add(result.Value)
        Next
        ListBox2.ItemsSource = songTitle
    End Sub

    Private Sub ListBox1_SelectionChanged(ByVal sender As Object, ByVal e As System.Windows.Controls.SelectionChangedEventArgs) Handles ListBox1.SelectionChanged
        Dim myIndex As String = ListBox1.SelectedIndex.ToString
        NavigationService.Navigate(New Uri("/BingMap.xaml?Index=" & myIndex, UriKind.Relative))
    End Sub

    Private Sub ListBox2_SelectionChanged(ByVal sender As Object, ByVal e As System.Windows.Controls.SelectionChangedEventArgs) Handles ListBox2.SelectionChanged
        Dim myIndex As String = ListBox2.SelectedIndex.ToString
        NavigationService.Navigate(New Uri("/seiSong.xaml?Index=" & myIndex, UriKind.Relative))
    End Sub

End Class
